# Module IssueCommonality

- app/roles/issue_commonality.rb

Contains common functionality shared between Issues and MergeRequests

Namespace

- MODULE IssueCommonality::ClassMethods

Methods

I
  - is_assigned?,
  - is_being_closed?,
  - is_being_reassigned?,
  - is_being_reopened?
N
  - new?
T
  - today?

Instance Public methods
is_assigned?() Link

Source: show

    # File app/roles/issue_commonality.rb, line 51
    def is_assigned?
      !!assignee_id
    end

is_being_closed?() Link

Source: show

    # File app/roles/issue_commonality.rb, line 59
    def is_being_closed?
      closed_changed? && closed
    end

is_being_reassigned?() Link

Source: show

    # File app/roles/issue_commonality.rb, line 55
    def is_being_reassigned?
      assignee_id_changed?
    end

is_being_reopened?() Link

Source: show

    # File app/roles/issue_commonality.rb, line 63
    def is_being_reopened?
      closed_changed? && !closed
    end

new?() Link

Source: show

    # File app/roles/issue_commonality.rb, line 47
    def new?
      today? && created_at == updated_at
    end

today?() Link

Source: show

    # File app/roles/issue_commonality.rb, line 43
    def today?
      Date.today == created_at.to_date
    end